Subject: bug#45630: closed (Re: bug#45630: feature/native-comp fails on an out of source build)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 03 Jan 2021 18:25:02 +0000

Your bug report

#45630: feature/native-comp fails on an out of source build 

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45630: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45630
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45630: feature/native-comp fails on an out of source build
From: Phillip Lord <[email-masked]>
To: [email-masked]
Date: Sun, 03 Jan 2021 18:24:13 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

My fault, apologies for the noise!

Phillip Lord <[email-masked]> writes:

> I cannot build native-comp out of source getting this error from ./configure
>
>
> checking for lcms2... yes
> checking for library containing inflateEnd... -lz
> checking for dladdr... yes
> checking for dlfunc... no
> checking for gcc_jit_context_acquire in -lgccjit... no
> configure: error: elisp native compiler requested but libgccjit not found.
> Please try installing libgccjit or similar package.
> If you are sure you want Emacs compiled without elisp native compiler, pass
>   --without-nativecomp
> to configure.
>
>
> An in-source build on the same machine works fine, so I do have
> libgccjit. Fails on both Ubuntu 20.04 and Windows.
>
> Phil

Subject: feature/native-comp fails on an out of source build
From: Phillip Lord <[email-masked]>
To: [email-masked]
Date: Sun, 03 Jan 2021 16:39:17 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I cannot build native-comp out of source getting this error from ./configure

checking for lcms2... yes
checking for library containing inflateEnd... -lz
checking for dladdr... yes
checking for dlfunc... no
checking for gcc_jit_context_acquire in -lgccjit... no
configure: error: elisp native compiler requested but libgccjit not found.
Please try installing libgccjit or similar package.
If you are sure you want Emacs compiled without elisp native compiler, pass
  --without-nativecomp
to configure.

An in-source build on the same machine works fine, so I do have
libgccjit. Fails on both Ubuntu 20.04 and Windows.

Phil